muban.mxpro.二级.title = 'h1&&Text;.module-info-tag&&Text';
muban.mxpro.二级.desc = '.module-info-item:eq(4)&&Text;;;.module-info-item-content:eq(1)&&Text;.module-info-item-content:eq(0)&&Text';
muban.mxpro.二级.tabs = '#y-playList&&span';
muban.mxpro.二级.lists = '.module-play-list:eq(#id)&&a';
var rule = {
	title:'桃子影视', //原91free
	模板:'mxpro',
	host:'https://www.taozi007.com',
	url:'/show/fyclass--------fypage---.html',
    headers:{
    'User-Agent' : 'Mozilla/5.0 (Linux; Android 14; PGZ110 Build/UKQ1.230924.001) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/96.0.4664.104 Mobile Safari/537.36',

               'Cookie':'__51vcke__KOfCv4E7m6sGPKS0=a63d71ba-f82c-547e-baa5-eb5c425b70d3; __51vuft__KOfCv4E7m6sGPKS0=1720335435932; mx_style=black; PHPSESSID=dk3c9mahen2nmt68okqp4svkr7; guardok=rMplDebtKbXwKHAOsVm02OJ+P3qYY2lMriw3DPHK078LD89VZ1qFHvRVQscPFw/z6S7pzmpU8/mBKt4q7MB7Ww==; __51uvsct__KOfCv4E7m6sGPKS0=5; showBtn=true; __vtins__KOfCv4E7m6sGPKS0={"sid": "c18392da-01ed-5013-b0c5-1d09ec28e196", "vd": 4, "stt": 459434, "dr": 442908, "expires": 1721234922152, "ct": 1721233122152} ',

    
  },
	class_parse: '.navbar-items&&a[href*=type];a&&title;a&&href;(\\d+).html',
	    lazy: $js.toString(() => {
        var html = JSON.parse(request(input).match(/r player_.*?=(.*?)</)[1]);
        var url = html.url;
  if (html.encrypt == '1') {
    url = unescape(url);
  } else if (html.encrypt == '2') {
    url = unescape(base64Decode(url));
  }
  
    let Code = {};
    let code=request(HOST + '/static/js/playerconfig.js');
   
       eval(code + '\nCode=MacPlayerConfig;');
        let jx = HOST+Code.player_list[html.from].parse;
        if (jx == '') {
            jx =  HOST+Code.parse
        }
      log(jx)
      
      if(/feidaozy|1080zyk|subm3u8/.test(html.from)){
      
      input={
      url: url,
      parse:0,
      jx:0
      
      }
      
    }else if (/qiyi|qq|youku|mgtv/.test(html.from)){
    
    let api="https://jx.taozi007.com/player/ec.php?code=tz&if=1&url="
    let 请求=request(api+ url, {
                    headers: {
                        'Referer': ""
                    }
                })
       let config={};
       let 链接 =请求.match(/let ConFig.*}/)[0]
          log('链接:'+链接)
            eval(链接 + '\nconfig=ConFig');
              
            log('url:'+config.config.uid)
              eval(getCryptoJS())             
    function decryptVideoUrl(encryptedUrl, uid) {
    const key = CryptoJS.enc.Utf8.parse('2890' + uid + 'tB959C');
    const iv = CryptoJS.enc.Utf8.parse('2F131BE91247866E');
    const decrypted = CryptoJS.AES.decrypt(encryptedUrl, key, {
        iv: iv,
        mode: CryptoJS.mode.CBC,
        padding: CryptoJS.pad.Pkcs7
    });
    return CryptoJS.enc.Utf8.stringify(decrypted);
}
  let video = decryptVideoUrl(config.url,config.config.uid)

         input = {
				jx: 0,
				url: video,
				parse: 0
			}

  } else if (/ty/.test(html.from)){
      
      
      let ty跳转= JSON.parse(request(jx+url,{
      redirect:false, 
      withHeaders:true
      })).location
      
      log(ty跳转)
      let ty请求=request(ty跳转,{
        headers: {
            'Referer': ''
        }
    })
   let rand= ty请求.match(/var rand = "(.*?)";/)[1];
   let player= ty请求.match(/var player = "(.*?)";/)[1];
log(rand)
function js_decrypt(str, key, iv) {
                eval(getCryptoJS())
                var key = CryptoJS.enc.Utf8.parse(key);
                var iv = CryptoJS.enc.Utf8.parse(iv);
                var decrypted = CryptoJS.AES.decrypt(str, key, {
                    iv: iv,
                    padding: CryptoJS.pad.Pkcs7
                }).toString(CryptoJS.enc.Utf8);
                return decrypted
            }

            var ur =JSON.parse(js_decrypt(player, 'VFBTzdujpR9FWBhe', rand)).url
            input={
              jx:0,
              url:ur,
              parse:0
            }
            
      }else{
      let wj= JSON.parse(request(jx+url,{redirect:false, withHeaders:true})).location
 let play= wj.replace('https://jx.wujinkk.com/dplayer/?url=','')
      
      input={
              jx:0,
              url:play,
              parse:0
            }
      
      }
      
    }),
	推荐: '*',
	double: false, // 推荐内容是否双层定
	searchUrl:'/search/**----------fypage---.html',
}